%global dlrn_nvr tripleo-validations-9.3.1.dev11-0.20181008110747.4064fb7
%global dlrn 1
%define upstream_version 9.3.1.dev11
%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-validations
%global with_doc 0

Name:           openstack-tripleo-validations
Summary:        Ansible playbooks to detect potential issues with TripleO deployments
Version: 9.3.1
Release: 0.20181008110759.4064fb7%{?dist}
License:        ASL 2.0
URL:            http://tripleo.org
Source0: tripleo-validations-9.3.1.dev11-0.20181008110747.4064fb7-4064fb713c7c717683e9d8e926634b6a6b8dff23.tar.gz


# patches_ignore=DROP-IN-RPM
# patches_base=4064fb713c7c717683e9d8e926634b6a6b8dff23
Patch0001: 0001-Fix-the-keystone-tokenflush-validation.patch
Patch0002: 0002-Use-containerized-location-of-ironic-inspector.conf-.patch
Patch0003: 0003-Fix-the-undercloud-heat-purge-deleted-validation.patch
Patch0004: 0004-Fix-disk-space-validation.patch
Patch0005: 0005-Fix-the-undercloud-process-count-validation.patch
Patch0006: 0006-Remove-a-debug-task.patch
Patch0007: 0007-Fix-mysql_open_files_limit-validation.patch
Patch0008: 0008-Fix-the-introspection-interface-look-up.patch
Patch0009: 0009-Use-the-right-path-for-ironic_inspector-config-file.patch
Patch0010: 0010-Skip-schema-check-in-network-validation.patch
Patch0011: 0011-Fix-containerized-services-task.patch
Patch0012: 0012-Check-the-keystone-token-flush-on-the-keystone_cron-.patch
Patch0013: 0013-Fix-the-ceilometerdb-size-validation-in-the-containe.patch
Patch0014: 0014-Checking-the-real-process-name-for-each-containerize.patch
Patch0015: 0015-Fix-the-Docker-command-to-get-the-open_files_limit.patch
Patch0016: 0016-Add-the-right-ironic_inspector-config-file-path.patch
Patch0017: 0017-Fix-mysql-open-files-limit-validation-to-work-in-HA-.patch
Patch0018: 0018-Set-config-path-in-hiera-module.patch
Patch0019: 0019-Use-int-builtin-filter-for-testing-purpose.patch
Patch0020: 0020-Fix-neutron-sanity-check-validations.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python-heatclient >= 1.10.0
BuildRequires:  python-glanceclient >= 2.9.1
BuildRequires:  python-ironicclient >= 2.3.0
Requires:       ansible >= 2
Requires:       python2-pbr
Requires:       python-heatclient >= 1.10.0
Requires:       python-glanceclient >= 2.9.1
Requires:       python-ironicclient >= 2.3.0
Requires:       python2-shade >= 1.24.0
Requires:       os-net-config >= 7.1.0

%description
A collection of Ansible playbooks to detect and report potential issues during
TripleO deployments.

%package -n openstack-tripleo-validations-tests
Summary:        Tests for TripleO validations
Requires:       %{name} = %{version}-%{release}

BuildRequires:  python2-heatclient
BuildRequires:  python2-swiftclient
BuildRequires:  python2-novaclient
BuildRequires:  python2-subunit
BuildRequires:  python2-oslotest
BuildRequires:  python2-testrepository
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python2-netaddr
BuildRequires:  os-net-config
BuildRequires:  ansible >= 2
BuildRequires:  openstack-macros

Requires:       python2-subunit
Requires:       python2-oslotest
Requires:       python2-oslo-config >= 2:5.2.0
Requires:       python2-heatclient >= 1.10.0
Requires:       python2-keystoneauth1 >= 3.4.0
Requires:       python2-mistralclient >= 3.1.0
Requires:       python2-novaclient >= 1:9.1.0
Requires:       python2-ironicclient >= 2.3.0
Requires:       python2-six >= 1.10.0
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       python2-testrepository
Requires:       python2-testscenarios
Requires:       python2-testtools
Requires:       python2-netaddr
Requires:       os-net-config >= 7.1.0
Requires:       ansible >= 2
Requires:       python2-shade >= 1.24.0

%description -n openstack-tripleo-validations-tests
This package contains the tripleo-validations test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Tripleo Validations

BuildRequires:    python2-sphinx
BuildRequires:    python2-openstackdocstheme

%description      doc
This package contains the tripleo-validations Documentation files.
%endif

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{__python2} setup.py build

# docs generation
%if 0%{?with_doc}
%{__python2} setup.py build_sphinx -b html
%endif

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python2_sitelib}/tripleo_validations
%{python2_sitelib}/tripleo_validations-*.egg-info
%{_datadir}/%{name}
%{_bindir}/tripleo-ansible-inventory
%exclude %{python2_sitelib}/tripleo_validations/test*

%files -n openstack-tripleo-validations-tests
%license LICENSE
%{python2_sitelib}/tripleo_validations/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Thu Dec 20 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110759.4064fb7
- Fix neutron-sanity-check validations (rhbz#1646195)

* Thu Dec 13 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110758.4064fb7
- Use int builtin filter for testing purpose (rhbz#1615103)

* Tue Dec 11 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110757.4064fb7
- Set config path in hiera module (rhbz#1643917)
- Merge "Fix the Docker command to get the open_files_limit" into rhos-14.0-patches
- Merge "Fix the ceilometerdb-size validation in the containerized undercloud" into rhos-14.0-patches
- Merge "Fix mysql_open_files_limit validation" into rhos-14.0-patches
- Merge "Remove a debug task" into rhos-14.0-patches

* Thu Dec 06 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110756.4064fb7
- Fix mysql-open-files-limit validation to work in HA mode (rhbz#1648921)

* Wed Dec 05 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110755.4064fb7
- Add the right ironic_inspector config file path (rhbz#1643912)

* Mon Dec 03 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110754.4064fb7
- Checking the real process name for each containerized component (rhbz#1643982)
- Fix the Docker command to get the open_files_limit (rhbz#1648921)

* Tue Nov 27 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110753.4064fb7
- Fix the ceilometerdb-size validation in the containerized undercloud
- Check the Keystone token flush on the keystone_cron container (rhbz#1646891)
- Fix containerized services task (rhbz#1650607)

* Mon Nov 26 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110752.4064fb7
- Fix MySQL open files limit validation (rhbz#1648921)
- Fix the introspection interface look up (rhbz#1643912)
- Use the right patch for ironic_inspector config file (rhbz#1643912)
- Skip schema check in network validation (rhbz#1643943)

* Wed Nov 21 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110751.4064fb7
- Fix the undercloud-process-count validation (rhbz#1643982)
- Add os-net-config dependency (rhbz#1643943)

* Wed Nov 21 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.3.1-0.20181008110750.4064fb7
- Remove a debug task

* Tue Nov 20 2018 “Beth <belwell@redhat.com> 9.3.1-0.20181008110749.4064fb7
- Fix disk space validation (rhbz#1643029)

* Thu Nov 15 2018 “Beth <belwell@redhat.com> 9.3.1-0.20181008110748.4064fb7
- Fix the undercloud-heat-purge-deleted validation (rhbz#1646895)
- Use containerized location of ironic inspector.conf for validation (rhbz#1643912)
- Fix the keystone tokenflush validation (rhbz#1646891)
- Add .gitreview for stable/rocky

